Workaround for adding a Cutting plane in older SE versions

Creator
Creator

Hi,

 

Does anyone know of a workaround for adding a cutting plane to a drawing view for older versions in which the CuttingPlanes collection was not available?

Or is there something wrong with the syntax as follows:

 

Dim app As SolidEdgeFramework.Application = Nothing
Dim draft As SolidEdgeDraft.DraftDocument = Nothing

Dim dview As SolidEdgeDraft.DrawingView = Nothing

Dim cplane As SolidEdgeDraft.CuttingPlane = Nothing

 

app = GetObject(, "SolidEdge.Application")
draft = app.ActiveDocument
dview = draft.SelectSet.Item(1)

cplane = dview.CuttingPlanes.Add()

 

P.S. How can I find out in which version tne CuttingPlanes collection was added?

 

 

1 REPLY

Re: Workaround for adding a Cutting plane in older SE versions

Siemens Valued Contributor Siemens Valued Contributor
Siemens Valued Contributor

Hi Govind,

You can search for "CuttingPlanes" keyword in "Search" tab of SE Programming Help to know in which version of SE "CuttingPlanes" collection was introduced.

You may get multiple results but out of those results just look for What's New topic in which all the new objects and methods for that particular release are listed.

I could see that "CuttingPlanes" collection was introduced in ST6.

I will let you know if I could find a workaround for adding a cutting plane to a drawing view for older versions in which the CuttingPlanes collection was not available.

Regards,

Kaustubh